Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Dec 2022 19:01:40 +0200

> Date: Wed, 28 Dec 2022 15:20:59 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], Eli Zaretskii <[email-masked]>, [email-masked], 
>     Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> > It does feel a little odd, though. Could you explain why :family does 
> > get evaluated first, but :font does not?
> >
> 
> I can't explain that, no.  If you look at bug#1127, you'll see that moving 
> the evaluation of :family and :foundry before other attributes was (in 
> 2008) perceived as a workaround.  Apparently that worked well enough, and 
> it's still there in its original form.
> 
> IMO it would make sense to move the evaluation of the :font attribute 
> before other attributes, for the same reason.
> 
> Eli, what do you think of the attached patch?

If you want to experiment with this on master, I'm okay with trying
that there.  But not on the release branch, where I think we currently
have a reasonably good state (famous last words...) and the issue
being discussed here seems quite marginal and obscure to me to risk
destabilizing what we have.